This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 195840 - it takes too long before CF card is mounted on iTec USB card reader
it takes too long before CF card is mounted on iTec USB card reader
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-18 11:41 EDT by Vladimir Kotal
Modified: 2008-05-06 12:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:00:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
/var/log/messages after the system is booted with iTec card reader inserted into USB slot but without CF card in it (40.68 KB, text/plain)
2006-06-18 11:41 EDT, Vladimir Kotal
no flags Details
/var/log/messages after reader was disconnected and reconnected with CF card inside (45.84 KB, text/plain)
2006-06-18 11:56 EDT, Vladimir Kotal
no flags Details

  None (edit)
Description Vladimir Kotal 2006-06-18 11:41:13 EDT
Description of problem:
it takes too long before CF flasg is mounted after connecting USB card reader
into USB connector

Version-Release number of selected component (if applicable):

[techie@erazim ~]$ rpm -q kernel
kernel-2.6.16-1.2096_FC5
kernel-2.6.16-1.2111_FC5
[techie@erazim ~]$ uname -a
Linux erazim.devnull-lab.cz 2.6.16-1.2111_FC5 #1 Thu May 4 21:16:58 EDT 2006
i686 athlon i386 GNU/Linux


How reproducible:
insert CF crad into USB iTec CF card reader, wait for it to be mounted

Steps to Reproduce:
1. insert CF card into reader
2. connect the reader to USB port
3. wait
  
Actual results:
it takes too long (tens of seconds, maybe couple of minutes) before it is mounted

Expected results:
mount should be nearly instantaneous

Additional info:

This is observed on iTec USB card reader.
Comment 1 Vladimir Kotal 2006-06-18 11:41:14 EDT
Created attachment 131120 [details]
/var/log/messages after the system is booted with iTec card reader inserted into USB slot but without CF card in it
Comment 2 Vladimir Kotal 2006-06-18 11:56:45 EDT
Created attachment 131121 [details]
/var/log/messages after reader was disconnected and reconnected with CF card inside
Comment 3 Vladimir Kotal 2006-06-18 11:59:51 EDT
if more details will be needed, just let me know. 

side note: after the CF card is mounted, everything is ok (copying is fast, it
can be unmounted without problem, ...) the only problem with the reader is that
the mount process takes too long.
Comment 4 Pete Zaitcev 2006-07-08 00:58:12 EDT
Just out of curiousity, does it work if you boot with libusual.bias=ub ?
Comment 5 Vladimir Kotal 2006-09-17 18:16:59 EDT
I have booted with libusual.bias=ub and I'd say it's the same. It takes cca 5
minutes to mount the CF card after reader is connected to USB bus.

relevant dmesg output:

Sep 18 00:08:58 erazim kernel: usb 1-1: new full speed USB device using uhci_hcd
and address 4
Sep 18 00:08:58 erazim kernel: usb 1-1: configuration #1 chosen from 1 choice
Sep 18 00:08:58 erazim kernel: scsi3 : SCSI emulation for USB Mass Storage devices
Sep 18 00:09:03 erazim kernel:   Vendor: ScanLogi  Model: SL11R-IDE         Rev:
0074
Sep 18 00:09:03 erazim kernel:   Type:   Direct-Access                      ANSI
SCSI revision: 02
Sep 18 00:09:07 erazim udevd-event[2896]: wait_for_sysfs: waiting for
'/sys/devices/pci0000:00/0000:00:10.0/usb1/1-1/1-1:1.0/host3/target3:0:0/3:0:0:0/bus'
failed
Sep 18 00:09:11 erazim udevd-event[2896]: wait_for_sysfs: waiting for
'/sys/devices/pci0000:00/0000:00:10.0/usb1/1-1/1-1:1.0/host3/target3:0:0/3:0:0:0/ioerr_cnt'
failed
Sep 18 00:10:33 erazim ntpd[2324]: synchronized to LOCAL(0), stratum 10
Sep 18 00:10:33 erazim ntpd[2324]: kernel time sync disabled 0041
Sep 18 00:10:33 erazim ntpd[2324]: synchronized to 10.0.1.1, stratum 3
Sep 18 00:10:44 erazim kernel: sdc: Spinning up
disk......................................................................................................not
responding...
Sep 18 00:10:44 erazim kernel: sdc : READ CAPACITY failed.
Sep 18 00:10:44 erazim kernel: sdc : status=1, message=00, host=0, driver=08 
Sep 18 00:10:44 erazim kernel: sd: Current: sense key: Not Ready
Sep 18 00:10:44 erazim kernel:     Additional sense: No additional sense information
Sep 18 00:10:44 erazim kernel: sdc: Write Protect is off
Sep 18 00:10:44 erazim kernel: sdc: assuming drive cache: write through
Sep 18 00:11:37 erazim ntpd[2324]: kernel time sync enabled 0001
Sep 18 00:12:25 erazim kernel: sdc: Spinning up
disk......................................................................................................not
responding...
Sep 18 00:12:25 erazim kernel: sdc : READ CAPACITY failed.
Sep 18 00:12:25 erazim kernel: sdc : status=1, message=00, host=0, driver=08 
Sep 18 00:12:25 erazim kernel: sd: Current: sense key: Not Ready
Sep 18 00:12:25 erazim kernel:     Additional sense: No additional sense information
Sep 18 00:12:25 erazim kernel: sdc: Write Protect is off
Sep 18 00:12:25 erazim kernel: sdc: assuming drive cache: write through
Sep 18 00:14:05 erazim kernel: sdc: Spinning up
disk......................................................................................................not
responding...
Sep 18 00:14:05 erazim kernel: sdc : READ CAPACITY failed.
Sep 18 00:14:05 erazim kernel: sdc : status=1, message=00, host=0, driver=08 
Sep 18 00:14:05 erazim kernel: sd: Current: sense key: Not Ready
Sep 18 00:14:05 erazim kernel:     Additional sense: No additional sense information
Sep 18 00:14:05 erazim kernel: sdc: Write Protect is off
Sep 18 00:14:05 erazim kernel: sdc: assuming drive cache: write through
Sep 18 00:14:05 erazim kernel:  sdc:<3>Buffer I/O error on device sdc, logical
block 0
Sep 18 00:14:05 erazim kernel: Buffer I/O error on device sdc, logical block 0
Sep 18 00:14:05 erazim kernel: Buffer I/O error on device sdc, logical block 0
Sep 18 00:14:05 erazim kernel:  unable to read partition table
Sep 18 00:14:05 erazim kernel: sd 3:0:0:0: Attached scsi removable disk sdc
Sep 18 00:14:05 erazim kernel: sd 3:0:0:0: Attached scsi generic sg2 type 0
Sep 18 00:14:05 erazim kernel:   Vendor: ScanLogi  Model: SL11R-IDE         Rev:
0074
Sep 18 00:14:05 erazim kernel:   Type:   Direct-Access                      ANSI
SCSI revision: 02
Sep 18 00:14:05 erazim kernel: sdd: Unit Not Ready, sense:
Sep 18 00:14:05 erazim kernel: : Current: sense key: No Sense
Sep 18 00:14:05 erazim kernel:     Additional sense: No additional sense information
Sep 18 00:14:05 erazim kernel: SCSI device sdd: 2001889 512-byte hdwr sectors
(1025 MB)
Sep 18 00:14:05 erazim kernel: sdd: Write Protect is off
Sep 18 00:14:05 erazim kernel: sdd: assuming drive cache: write through
Sep 18 00:14:05 erazim kernel: SCSI device sdd: 2001889 512-byte hdwr sectors
(1025 MB)
Sep 18 00:14:06 erazim kernel: sdd: Write Protect is off
Sep 18 00:14:06 erazim kernel: sdd: assuming drive cache: write through
Sep 18 00:14:06 erazim kernel: SCSI device sdd: 2001889 512-byte hdwr sectors
(1025 MB)
Sep 18 00:14:06 erazim kernel: sdd: Write Protect is off
Sep 18 00:14:06 erazim kernel: sdd: assuming drive cache: write through
Sep 18 00:14:06 erazim kernel:  sdd:<3>Buffer I/O error on device sdd, logical
block 0
Sep 18 00:14:06 erazim kernel: Buffer I/O error on device sdd, logical block 1
Sep 18 00:14:06 erazim kernel: Buffer I/O error on device sdd, logical block 2
Sep 18 00:14:06 erazim kernel: Buffer I/O error on device sdd, logical block 3
Sep 18 00:14:06 erazim kernel: Buffer I/O error on device sdd, logical block 4
Sep 18 00:14:06 erazim kernel: Buffer I/O error on device sdd, logical block 5
Sep 18 00:14:06 erazim kernel: Buffer I/O error on device sdd, logical block 6
Sep 18 00:14:06 erazim kernel:  unable to read partition table
Sep 18 00:14:06 erazim kernel: sd 3:0:0:1: Attached scsi removable disk sdd
Sep 18 00:14:06 erazim kernel: sd 3:0:0:1: Attached scsi generic sg3 type 0
Sep 18 00:14:06 erazim kernel: SCSI device sdd: 2001889 512-byte hdwr sectors
(1025 MB)
Sep 18 00:14:06 erazim kernel: sdd: Write Protect is off
Sep 18 00:14:06 erazim kernel: sdd: assuming drive cache: write through
Sep 18 00:14:06 erazim kernel: SCSI device sdd: 2001889 512-byte hdwr sectors
(1025 MB)
Sep 18 00:14:06 erazim kernel: sdd: Write Protect is off
Sep 18 00:14:06 erazim kernel: sdd: assuming drive cache: write through
Sep 18 00:14:06 erazim kernel:  sdd: sdd1
Sep 18 00:14:06 erazim kernel: SELinux: initialized (dev sdd1, type vfat), uses
genfs_contexts


Especially note the cca 2 minute delay between 00:12:25 and 00:14:05.
Comment 6 Pete Zaitcev 2006-09-17 21:25:34 EDT
Ah, yes, sorry. SL11R is listed in unusual_devs.h explicitly, so it can't
be biased.
Comment 7 Dave Jones 2006-10-16 17:24:12 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 8 Vladimir Kotal 2006-10-21 04:51:27 EDT
Upgraded to most recent kernel:

[erazim ~]$ rpm -q kernel
kernel-2.6.17-1.2187_FC5
kernel-2.6.18-1.2200.fc5
[erazim ~]$ uname -a
Linux erazim.local.lab.devnull.cz 2.6.18-1.2200.fc5 #1 Sat Oct 14 16:59:26 EDT
2006 i686 athlon i386 GNU/Linux
[erazim ~]$

did not "fix" the bug:

Oct 21 10:41:32 erazim kernel: usb 1-1: new full speed USB device using uhci_hcd
and address 5
Oct 21 10:41:32 erazim kernel: usb 1-1: configuration #1 chosen from 1 choice
Oct 21 10:41:32 erazim kernel: scsi6 : SCSI emulation for USB Mass Storage devices
Oct 21 10:41:37 erazim kernel:   Vendor: ScanLogi  Model: SL11R-IDE         Rev:
0074
Oct 21 10:41:37 erazim kernel:   Type:   Direct-Access                      ANSI
SCSI revision: 02
Oct 21 10:41:40 erazim udevd-event[5153]: wait_for_sysfs: waiting for
'/sys/devices/pci0000:00/0000:00:10.0/usb1/1-1/1-1:1.0/host6/target6:0:0/6:0:0:0/ioerr_cnt'
failed
Oct 21 10:43:18 erazim kernel: sdf: Spinning up
disk......................................................................................................not
responding...
Oct 21 10:43:18 erazim kernel: sdf : READ CAPACITY failed.
Oct 21 10:43:18 erazim kernel: sdf : status=1, message=00, host=0, driver=08
Oct 21 10:43:18 erazim kernel: sd: Current: sense key: Not Ready
Oct 21 10:43:18 erazim kernel:     Additional sense: No additional sense information
Oct 21 10:43:18 erazim kernel: sdf: Write Protect is off
Oct 21 10:43:18 erazim kernel: sdf: assuming drive cache: write through
Oct 21 10:44:58 erazim kernel: sdf: Spinning up
disk......................................................................................................not
responding...
Oct 21 10:44:58 erazim kernel: sdf : READ CAPACITY failed.
Oct 21 10:44:58 erazim kernel: sdf : status=1, message=00, host=0, driver=08
Oct 21 10:44:58 erazim kernel: sd: Current: sense key: Not Ready
Oct 21 10:44:58 erazim kernel:     Additional sense: No additional sense information
Oct 21 10:44:58 erazim kernel: sdf: Write Protect is off
Oct 21 10:44:58 erazim kernel: sdf: assuming drive cache: write through
Oct 21 10:46:39 erazim kernel: sdf: Spinning up
disk......................................................................................................not
responding...
Oct 21 10:46:39 erazim kernel: sdf : READ CAPACITY failed.
Oct 21 10:46:39 erazim kernel: sdf : status=1, message=00, host=0, driver=08
Oct 21 10:46:39 erazim kernel: sd: Current: sense key: Not Ready
Oct 21 10:46:39 erazim kernel:     Additional sense: No additional sense information
Oct 21 10:46:39 erazim kernel: sdf: Write Protect is off
Oct 21 10:46:39 erazim kernel: sdf: assuming drive cache: write through
Oct 21 10:46:39 erazim kernel:  sdf:<3>Buffer I/O error on device sdf, logical
block 0
Oct 21 10:46:39 erazim kernel: Buffer I/O error on device sdf, logical block 0
Oct 21 10:46:39 erazim kernel: Buffer I/O error on device sdf, logical block 0
Oct 21 10:46:39 erazim kernel:  unable to read partition table
Oct 21 10:46:39 erazim kernel: sd 6:0:0:0: Attached scsi removable disk sdf
Oct 21 10:46:39 erazim kernel: sd 6:0:0:0: Attached scsi generic sg5 type 0
Oct 21 10:46:39 erazim kernel:   Vendor: ScanLogi  Model: SL11R-IDE         Rev:
0074
Oct 21 10:46:39 erazim kernel:   Type:   Direct-Access                      ANSI
SCSI revision: 02
Oct 21 10:46:39 erazim kernel: sdg: Unit Not Ready, sense:
Oct 21 10:46:39 erazim kernel: : Current: sense key: No Sense
Oct 21 10:46:39 erazim kernel:     Additional sense: No additional sense information
Oct 21 10:46:39 erazim kernel: SCSI device sdg: 2001889 512-byte hdwr sectors
(1025 MB)
Oct 21 10:46:39 erazim kernel: sdg: Write Protect is off
Oct 21 10:46:39 erazim kernel: sdg: assuming drive cache: write through
Oct 21 10:46:39 erazim kernel: SCSI device sdg: 2001889 512-byte hdwr sectors
(1025 MB)
Oct 21 10:46:39 erazim kernel: sdg: Write Protect is off
Oct 21 10:46:39 erazim kernel: sdg: assuming drive cache: write through
Oct 21 10:46:40 erazim kernel: SCSI device sdg: 2001889 512-byte hdwr sectors
(1025 MB)
Oct 21 10:46:40 erazim kernel: sdg: Write Protect is off
Oct 21 10:46:40 erazim kernel: sdg: assuming drive cache: write through
Oct 21 10:46:40 erazim kernel:  sdg:<3>Buffer I/O error on device sdg, logical
block 0
Oct 21 10:46:40 erazim kernel: Buffer I/O error on device sdg, logical block 1
Oct 21 10:46:40 erazim kernel: Buffer I/O error on device sdg, logical block 2
Oct 21 10:46:40 erazim kernel: Buffer I/O error on device sdg, logical block 3
Oct 21 10:46:40 erazim kernel: Buffer I/O error on device sdg, logical block 4
Oct 21 10:46:40 erazim kernel: Buffer I/O error on device sdg, logical block 5
Oct 21 10:46:40 erazim kernel: Buffer I/O error on device sdg, logical block 6
Oct 21 10:46:40 erazim kernel:  unable to read partition table
Oct 21 10:46:40 erazim kernel: sd 6:0:0:1: Attached scsi removable disk sdg
Oct 21 10:46:40 erazim kernel: sd 6:0:0:1: Attached scsi generic sg6 type 0
Oct 21 10:46:40 erazim kernel: SCSI device sdg: 2001889 512-byte hdwr sectors
(1025 MB)
Oct 21 10:46:40 erazim kernel: sdg: Write Protect is off
Oct 21 10:46:40 erazim kernel: sdg: assuming drive cache: write through
Oct 21 10:46:40 erazim kernel: SCSI device sdg: 2001889 512-byte hdwr sectors
(1025 MB)
Oct 21 10:46:40 erazim kernel: sdg: Write Protect is off
Oct 21 10:46:40 erazim kernel: sdg: assuming drive cache: write through
Oct 21 10:46:40 erazim kernel:  sdg: sdg1
Oct 21 10:46:40 erazim kernel: SELinux: initialized (dev sdg1, type vfat), uses
genfs_contexts

Comment 9 Bug Zapper 2008-04-03 23:06:06 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 10 Bug Zapper 2008-05-06 12:00:32 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.